View Issue Details

IDProjectCategoryView StatusLast Update
16289Bug reportsSurvey takingpublic2020-05-20 11:02
Reportercdorin Assigned ToJHoeck  
PrioritynoneSeveritypartial_block 
Status closedResolutionfixed 
Product Version4.2.2 
Summary16289: File Upload issues on latest iOS
Description

File Upload issues on latest iOS.
Related to:
But the fix is for LS4 only 15624

TagsNo tags attached.
Complete LimeSurvey version number (& build)irrelevant
I will donate to the project if issue is resolvedNo
Browser
Database & DB-Versionirrelevant
Server OS (if known)
Webserver software & version (if known)
PHP Versionirrelevant

Activities

JHoeck

JHoeck

2020-05-18 13:31

developer   ~57876

Fixed in bug/16289-file-upload-issues-on-latest-ios

thedirtypanda

thedirtypanda

2020-05-18 17:26

reporter   ~57889

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29980

DenisChenu

DenisChenu

2020-05-19 08:59

developer   ~57894

If related to heic/heif format : still not fixed for me …

lime_release_bot

lime_release_bot

2020-05-19 11:49

administrator   ~57907

Fixed in Release 4.2.4+200520

DenisChenu

DenisChenu

2020-05-19 12:36

developer   ~57917

If related to heic/heif format : still not fixed for me …

dariocosta

dariocosta

2020-05-19 13:48

reporter   ~57921

Sorry, but 4.2.4+200520 has same problem, not fixed. Pleasse reopen the issue

JHoeck

JHoeck

2020-05-20 11:02

developer   ~57952

So only tested it with an heic file. I will test it later with an heif file. @darincosta do you see any error message? If yes, which one?

Related Changesets

LimeSurvey: master 975a2023

2020-05-05 11:21:56

thedirtypanda

Details Diff
Fixed issue 16289: File Upload not working for iOS 13.2 Affected Issues
16289
mod - application/config/config-defaults.php Diff File
mod - application/views/survey/questions/answer/file_upload/config.xml Diff File
mod - assets/packages/questions/upload/src/uploader.js Diff File
mod - framework/utils/mimeTypes.php Diff File

Issue History

Date Modified Username Field Change
2020-05-18 13:21 cdorin New Issue
2020-05-18 13:22 JHoeck Assigned To => JHoeck
2020-05-18 13:22 JHoeck Status new => assigned
2020-05-18 13:31 JHoeck Status assigned => resolved
2020-05-18 13:31 JHoeck Resolution open => fixed
2020-05-18 13:31 JHoeck Note Added: 57876
2020-05-18 17:26 thedirtypanda Changeset attached => LimeSurvey master 975a2023
2020-05-18 17:26 thedirtypanda Note Added: 57889
2020-05-19 08:59 DenisChenu Note Added: 57894
2020-05-19 11:49 lime_release_bot Note Added: 57907
2020-05-19 11:49 lime_release_bot Status resolved => closed
2020-05-19 12:36 DenisChenu Note Added: 57917
2020-05-19 13:48 dariocosta Note Added: 57921
2020-05-20 11:02 JHoeck Note Added: 57952